# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mycelium-config"
version = "7.13.0+dev"
authors = ["Samuel Galvão Elias <sgelias@outlook.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Provide config manager features of the Mycelium project as and use-cases."
readme = "README.md"
keywords = [
    "authorization",
    "identity",
    "permission",
    "keeper",
]
categories = [
    "development-tools",
    "web-programming::http-server",
]
license = "Apache-2.0"
repository = "https://github.com/sgelias/mycelium"

[lib]
name = "myc_config"
crate-type = [
    "staticlib",
    "lib",
]
path = "src/lib.rs"

[dependencies.lazy_static]
version = "1.4"

[dependencies.mycelium-base]
version = "7.13.0"

[dependencies.reqwest]
version = "0.11"
features = ["json"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_yaml]
version = "0.9"

[dependencies.tracing]
version = "0.1"

[dependencies.utoipa]
version = "5"
features = [
    "actix_extras",
    "chrono",
    "debug",
    "openapi_extensions",
    "preserve_order",
    "uuid",
]

[dev-dependencies.tokio]
version = "1"
features = ["full"]
